%define name vrb
%define version 0.5.1
%define release %mkrel 1
%define major 0
%define libname %mklibname %name %major

Summary: The Virtual Ring Buffer (VRB)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://vrb.slashusr.org/%{name}-%{version}.tar.bz2
Patch1: vrb-0.5.0-gcc-opt.patch
License: LGPL
Group: System/Libraries
Url: http://vrb.slashusr.org/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Virtual Ring Buffer (VRB) is an implementation of a character FIFO
ring buffer. It provides direct access to the buffer so the calling
program can construct output data in place, or parse input data in place,
without the extra step of copying data to or from a calling program
provided buffer area.

%package -n %libname
Summary: The Virtual Ring Buffer (VRB) library
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
The Virtual Ring Buffer (VRB) is an implementation of a character FIFO
ring buffer. It provides direct access to the buffer so the calling
program can construct output data in place, or parse input data in place,
without the extra step of copying data to or from a calling program
provided buffer area.

%package -n %libname-devel
Summary: The Virtual Ring Buffer (VRB) development files
Group: Development/Other
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
The Virtual Ring Buffer (VRB) is an implementation of a character FIFO
ring buffer. It provides direct access to the buffer so the calling
program can construct output data in place, or parse input data in place,
without the extra step of copying data to or from a calling program
provided buffer area.

%prep
%setup -q
%patch1 -p0

%build
echo %optflags > Compile.opt
./configure --prefix=%buildroot/usr

# Don't try %make - This makefile is ugly
make

# We need to rebuild vrb against a clean lib
#rm -f lib/libvrb.so
#rm -f bin/vbuf
#make build_pgm 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

if [ "%_lib" != "lib" ]; then
  mv %buildroot/%_prefix/lib %buildroot%_libdir
fi

mkdir -p %buildroot%_mandir/man3
cp -p vrb/man/man3/*.3 %buildroot%_mandir/man3

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a*
%_includedir/*.h



%changelog
* Sat Aug 16 2008 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 272495
- 0.5.1

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-4mdv2009.0
+ Revision: 261889
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-3mdv2009.0
+ Revision: 255675
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 129223
- kill re-definition of %%buildroot on Pixel's request
- import vrb


* Fri Apr 28 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.0-1mdk
- 0.5.0

* Tue Mar 29 2005 Olivier Thauvin <nanardon@mandrake.org> 0.4.0-5mdk
- %%mkrel && rebuild

* Wed Jan  7 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.4.0-4mdk
- fix build against lib

* Sun Dec 07 2003 Franck Villaume <fvill@freesurf.fr> 0.4.0-3mdk
- do the echo > Compile.opt before to run Configure
  now we have RPM_OPT_FLAGS support

* Tue Jun 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.0-2mdk
- patch0 (compile lib as shared lib)

* Mon Jun 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.0-1mdk
- 1st mandrake contrib 
